View Issue Details

IDProjectCategoryView StatusLast Update
0000552Far Manager 1.7xHistorypublic2008-06-28 18:47
ReportersamlyukovAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000552: Принцип заполнения истории команд (Alt-F8)
DescriptionПеремудрили с сабжем - в историю должны попадать команды ТОЛЬКО непосредственно выполненные из командной строки, а не как сейчас.
TagsNo tags attached.
Build0

Activities

samlyukov

2008-06-11 22:33

reporter   bugnote:0001579

т.е. я набрал в ком.строке: Bug.Report.txt -> Enter - попало в историю.
нажал Enter на панели на Bug.Report.txt - не должно попадать в историю. (сейчас попадает).

DrKnS

2008-06-12 02:12

administrator   bugnote:0001580

В FAR есть недокументированное техинфо - см. Opt.ExcludeCmdHistory и enum ExcludeCmdHistoryType.
Есть мнение, что менять текущее поведение не надо, достаточно описать настройку в документации.

samlyukov

2008-06-12 02:20

reporter   bugnote:0001581

Last edited: 2008-06-12 02:21

мне объяснят полезность теперешнего поведения?

DrKnS

2008-06-12 03:09

administrator   bugnote:0001582

Это поведение полезно тем, что оно привычно и ожидаемо, т. к. досталось в наследство ещё от nc/vc.

samlyukov

2008-06-12 03:55

reporter   bugnote:0001583

А проверить?

DrKnS

2008-06-12 04:44

administrator   bugnote:0001584

Вот и проверь.

samlyukov

2008-06-12 08:26

reporter   bugnote:0001585

Last edited: 2008-06-12 08:27

NC 5:
набрал в ком.строке: Bug.Report.txt -> Enter - попало в историю.
нажал Enter на панели на Bug.Report.txt - не попало в историю

VC 4.1:
набрал в ком.строке: Bug.Report.txt -> Enter - попало в историю.
нажал Enter на панели на Bug.Report.txt - не попало в историю

У Вас не так?

DrKnS

2008-06-12 09:16

administrator   bugnote:0001586

> нажал Enter на панели на Bug.Report.txt - не попало в историю
А что, notepad запустился? :)
nc о системных ассоциациях для txt ничего не знает, при нажатии на них ничего не делает, потому и в историю не пишет.
Сделаешь ассоциацию для txt руками - команда попадёт в историю при нажатии enter на панели.
Файлы с расширениями, которые nc умеет запускать (exe, com, bat) - также попадут в историю при нажатии enter на панели.

vskirdin

2008-06-13 08:24

administrator   bugnote:0001588

Эй... горячие финские... тикет закрываем (при наличии документированной фичи по отключению)?

alexy

2008-06-13 08:48

administrator   bugnote:0001589

Тут ещё проблема есть, все что выполняется по Enter/ShiftEnter в панелях попадает в историю без полного пути что как мне кажется вообще бессмысленно как такого.
А по теме, я считаю что попадать в историю должно всё, ибо для того и есть история.

DrKnS

2008-06-13 09:00

administrator   bugnote:0001590

Угу.
Документирование, в принципе, сводится к copy-paste отсюда: :)
http://groups.yahoo.com/group/farbugs/message/19383?unwrap=1&var=0&l=1

HaRT

2008-06-25 06:59

reporter   bugnote:0001636

> Документирование, в принципе, сводится к copy-paste отсюда
И?
А то по этой ссылке нечленам ничего дельного не пишут. :(

alexy

2008-06-25 07:05

administrator   bugnote:0001637

VS> 1. Доп.TechInfo (чтобы не засорять историю команд):
VS> ------------------------------------------------------>8----
VS> 57.[HKEY_CURRENT_USER\Software\Far\System]
VS> "ExcludeCmdHistory":REG_DWORD
VS> Правила фильтрации команд, которые FAR помещает в историю.

VS> Параметр "ExcludeCmdHistory" с типом DWORD позволяет помещать в
VS> историю команд только часть исполняемых команд. Проверка идет по
VS> битовой маске. Если бит установлен, данный тип команд в историю
VS> не помещается.

VS> Номера битов:

VS> 0 - не помещать в историю команды ассоциаций Windows
VS> 1 - не помещать в историю команды выполнения ассоциаций файлов
VS> 2 - не помещать в историю команды выполнения с панели
VS> 3 - не помещать в историю команды выполнения с командной строки

VS> По умолчанию значение = 0 (помещать в историю все команды).
VS> ----8<------------------------------------------------------
VS> Хмм... здесь бы неплохо бы дописать про номера битов :-) более
VS> расжеванно.

Можно иначе это написать.

...
   историю команд только часть исполняемых команд. Проверка идет по
   ~битовой маске~@BitMask@. Если бит установлен, данный тип команд в историю
...
     1 - не помещать в историю команды ассоциаций Windows
     2 - не помещать в историю команды выполнения ассоциаций файлов
     4 - не помещать в историю команды выполнения с панели
     8 - не помещать в историю команды выполнения с командной строки
...

@BitMask
> Тут надо как-то извернуться... У меня не выходит красиво.
> Все время сваливаюсь в рекурсию.
Конечным числовым значением битовой маски является сумма чисел,
соответствующих выбранным опциям настраиваемого параметра.
> тут хорошо бы примерчик привести. А то больно заумно выходит.
> или это только у меня голова так плохо работает?

HaRT

2008-06-25 07:10

reporter   bugnote:0001640

alexy, DrKnS
Спасибо

DrKnS

2008-06-28 18:47

administrator   bugnote:0001655

TI#79.

Issue History

Date Modified Username Field Change
2008-06-11 22:28 samlyukov New Issue
2008-06-11 22:33 samlyukov Note Added: 0001579
2008-06-12 02:12 DrKnS Note Added: 0001580
2008-06-12 02:20 samlyukov Note Added: 0001581
2008-06-12 02:21 samlyukov Note Edited: 0001581
2008-06-12 03:09 DrKnS Note Added: 0001582
2008-06-12 03:55 samlyukov Note Added: 0001583
2008-06-12 04:44 DrKnS Note Added: 0001584
2008-06-12 08:26 samlyukov Note Added: 0001585
2008-06-12 08:27 samlyukov Note Edited: 0001585
2008-06-12 09:16 DrKnS Note Added: 0001586
2008-06-13 08:24 vskirdin Note Added: 0001588
2008-06-13 08:48 alexy Note Added: 0001589
2008-06-13 09:00 DrKnS Note Added: 0001590
2008-06-25 06:59 HaRT Note Added: 0001636
2008-06-25 07:05 alexy Note Added: 0001637
2008-06-25 07:10 HaRT Note Added: 0001640
2008-06-28 18:47 DrKnS Build => 0
2008-06-28 18:47 DrKnS Status new => closed
2008-06-28 18:47 DrKnS Note Added: 0001655
2008-06-28 18:47 DrKnS Resolution open => fixed
2008-06-28 18:47 DrKnS Fixed in Version => 1.71